Page MenuHomePhabricator

Figure out how to deal with the "Internal Roles, Responsibilities and Interactions" problem between CLs and PMs
Closed, ResolvedPublic

Description

This is a followup to T135819. Increasing documentation, getting TPG help in some form and starting related work are the goals.

As per that task, Product and Liaisons have been discussing their working relationship for a while now. While the Technical Collaboration Guideline will help with Product's relationship with the communities, not much has been done to focus on the internal side of things.
I have found myself a precious ally in @TrevorParscal in the meantime. I also want to bring the Team Practices Group in this though, so that whatever approach I choose to go forward (a survey, 1:1 interviews etc.) is "validated" and not just a shot in the dark.
I see this work as quite important for everybody's sanity. If I had to pick a last thing to do as a liaison, I'd pick this one.
I am trying to figure out whether determining SLUs (https://www.mediawiki.org/wiki/Service_Level_Understanding) with each team would be enough, for example (this is a process that AFAIK only the VE team is following, and I yet have to verify whether it is the right tool for what I'm looking for).

Event Timeline

Elitre created this task.Dec 30 2016, 2:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 30 2016, 2:15 PM
Qgil assigned this task to Elitre.Jan 7 2017, 1:48 PM
Qgil triaged this task as Low priority.
Elitre raised the priority of this task from Low to Normal.Jan 11 2017, 12:13 AM
Elitre added a subscriber: JAufrecht.

I had a conversation with @JAufrecht (thank you.) today, and my 2 next action items are filing a request for some kind of TPG support, and talking to Kristen these days.

We had another meeting (with Joel and Kristen). Joel will meet me again soon to get more clarity on scope, deliverables etc.

Elitre changed the task status from Open to Stalled.Mar 7 2017, 11:50 AM

The late February meeting with Joel couldn't happen.
This project is now part of the programs CL are suggesting for next year.

Elitre closed this task as Resolved.EditedJun 29 2017, 3:19 PM

I gave what I could to this project.
Beside team's specific interventions (like the SLU with the VE team), other 3 things we are currently doing are:

  1. We are detailing "who's in charge of what" on Office wiki (and will likely put that on Meta I think?), with a coverage table that explains who the "experts in residence" for each vertical/program are, and more.
  2. A monthly check-in of priorities - email is sent monthly by me to Audiences PMs (and it will be sent by Johan to Technology's ones now that we also support them officially). It features a list of tasks CLs have agreed to work on. Feedback so far has been positive. It allows things not to fall in the cracks.
  3. Re-introducing ourselves and our role to the new PMs/teams we are working with. Basically things have changed for all the CLs, who are now working with different people or merged teams. I like this as it allows for a fresh start, both for people and for products. Sherry and myself are having our meetings with Deskana, Chris will have his with all Readers' PMs tomorrow, Johan has introduced the new CLs support to Tech, Benoit and Nick will at some point do the same. We are providing clarity about what it is that we've done so far and what we do routinely, we are trying to establish priorities for all the requests we have that come from so many different places, we are figuring out what are the best ways to work together (do meetings need to be rescheduled? when/how can people find me when they're in a hurry? etc.)

Everyone does this at their own pace, and we'll keep looking into documenting/establishing good practices next year, per our annual plan.
But solutions will likely be on a per person/per team basis, because every situation is different, and TBH, things actually look good now, at least from the CLs corner of the world.

Qgil added a subscriber: Qgil.Jun 30 2017, 12:00 PM

Thank you! And yes, I plan to publish the Coverage tables soon.

Qgil awarded a token.